@extends('adminlte::page')

@section('content_header')
	<h1>Rapporto dei movimenti</h1>
@endsection

@section('content')

<div class="row">
	<div class="col-lg-6">
    	<div class="panel panel-default">
            <div class="panel-heading">
                Rapporto spese per categoria
            </div>
            <div class="panel-body">
            @section('chart_divS')
            @show
            	<div class="table-responsive">
                   <table class="table table-striped table-bordered table-hover" id="listrapportoS">
            		<thead>
            			<tr>
            				<th>Categoria</th>
            				<th>Somma delle spese</th>
            			</tr>
            		</thead>
            		<tbody>
            		@foreach( $dataSpesa as $dato )
            		<tr>
            			<td><a href="/admin/movimenti/report/movimenti_categoria?cat={{ $dato->id }}&month={{ $_GET['Month'] ?? date('m')}}&year={{ date('Y') }}">{{ $dato->cat_name; }}</a> </td>
            			<td>{{ $dato->resoconto; }}</td>

            		</tr>
            		@endforeach
            		</tbody>
            		</table>
            	</div>
            </div>
		</div>
	</div>
	<div class="col-lg-6">
    	<div class="panel panel-default">
            <div class="panel-heading">
                Rapporto entrate per categoria
            </div>
            <div class="panel-body">
            @section('chart_divE')
            @show
            	<div class="table-responsive">
                   <table class="table table-striped table-bordered table-hover" id="listrapportoE">
            		<thead>
            			<tr>
            				<th>Categoria</th>
            				<th>Somma delle entrate</th>
            			</tr>
            		</thead>
            		<tbody>
            		@foreach( $dataEntrate as $dato )
            		<tr>
            			<td><a href="/admin/movimenti/report/movimenti_categoria?cat={{ $dato->id }}&month={{ $_GET['Month'] ?? date('m')}}&year={{ date('Y')}}">{{ $dato->cat_name; }}</a> </td>
            			<td>{{ $dato->resoconto; }}</td>

            		</tr>
            		@endforeach
            		</tbody>
            		</table>
            	</div>
            </div>
		</div>
	</div>
</div>

@endsection
@section('js')
<script src="/js/app/conti_categorie.js"></script>
@endsection
